import { MongoDBInstance } from 'mongodb-instance-model';
import type { DataService } from 'mongodb-data-service';
import type { ActivateHelpers, AppRegistry } from 'hadron-app-registry';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
export declare function createInstanceStore({ globalAppRegistry: appRegistry, dataService, logger: { debug }, }: {
    dataService: DataService;
    logger: LoggerAndTelemetry;
    globalAppRegistry: AppRegistry;
}, { on, cleanup, addCleanup }: ActivateHelpers): {
    state: {
        instance: MongoDBInstance;
    };
    getState(): {
        instance: MongoDBInstance;
    };
    deactivate: () => void;
};
//# sourceMappingURL=instance-store.d.ts.map